Subject: [payload] Stephen Farrell's No Objection on draft-ietf-payload-rtp-h265-15: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Mon, 09 Nov 2015 03:27:10 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-payload-rtp-h265-15: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-payload-rtp-h265/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for taking my discuss points into account. 

The comments below were for an earlier version, I've
not checked if related changes were made or not. (And
there's no need to come back to me about that unless
you want to.)

- General: I was puzzled as to why there is so much text
that is presumably non-normative explanatory text
covering what is elsewehere in (I guess) ITU documents.
It seems like there is a lot, but not enough, here for an
implementer.

- 4.1: " The assignment of an RTP payload type for this
new packet format is outside the scope of this document
and will not be specified here. " Huh? That's confusing.
For me at least.

- p75 - why would md5 ever be most-preferred these days?
Better to not say that, even in an example. Even better
would be to deprecate md5 even for this non-security
purpose to simplify code-audit. Or, if there is some
reason why e.g. sha256 isn't suited then explaining that
would also help for code-audits.